Subject: RE: area directors at risk

From: [email-masked]
Date: Tue, 20 Nov 2001 12:29:33 -0500

I agree here with David. I too am cat-herding and it was the AD's who 
helped resolve an issue where two working groups felt they were both right 
and needed some assistance at the higher level to come to agreement. 

What I do believe is happening is the AD's are too overburdened with 
administrivia and functions as pointed out by Mr. Kastenholz.  Adding more 
people adds more complexity and delays the movement of drafts and 
standards.  I'm an end-user - not a vendor - and I'd like to see anything 
that speeds up the delivery of standards - not the reverse.  Open source 
groups and the W3C are out there developing alternative standards because 
of the delay in getting them produced in other venues (like the IETF). 

There is a lot of noise being generated by the first email in this thread 
- that says there is an issue.  I believe it's appropriate to look at this 
in a more formal manner.  There are lots more drafts in action than ever 
before.  The IETF is suffering growing pains.  It needs to go through the 
same processes as any other successful organization - step back and 
re-evaluate the workflow and business processes (yes, we are a business) 
and act accordingly.

[email-masked]
11/20/01 10:07

        To:     [email-masked], [email-masked]
        cc: 
        Subject:        RE: area directors at risk

A few observations from a WG chair actively engaged in
"cat-herding" and attempts to do so ;-) ...

> - The IESG has a congenital inability to say "no"
>   to someone who has a stupid idea. They can't
>   offend anyone, they can't do things that are
>   perceived as against the community's wishes.
>   The IESG, really, are leaders with little 
>   formal power or authority.

That's definitely not the case currently.  I've been involved
in conveying some rather forceful "no" instructions from the
ADs and the IESG to my WG (IP Storage).  Most of these have
had to do with well established principles (e.g., there were
people in the WG who thought congestion control was not
necessary -- they have been suitably "enlightened").  In at
least one case, my best efforts weren't good enough, resulting
in a lengthy IESG explanation of the word "no" during the
London plenary in response to a suggestion that security
should be optional to implement.  OTOH, in new areas where
the best technical approach isn't immediately obvious, letting
the competing technical approaches proceed seems to be a better
approach than killing one of them prematurely in the name
of consistency or whatever, but requires keeping tabs on both,
increasing the work involved.
 
> - There are working group chairs who see their working groups as
>   places for people to make presentations. This vastly increases
>   the number of internet drafts that go by -- but very few of them
>   actually result in any useful work. But it all must be monitored
>   and so on by the relevant ADs

At least in the Transport Area, the ADs take a very strong line
against this.

> - The IESG tends to be a collegial body. Individual ADs may be 
>   responsible for their areas, but they take decisions as a body,
>   which means that the "foo" AD can make comments about and
>   cause work to be done with respect to the  "bar" properties of
>   something or other. For example, the Internet AD could say
>   that something in the security area is not secure and the
>   security-AD's protestations to the contrary mean bupkus...

More to the point is that the "foo" ADs need to make sure that
the "foo" properties important to the Internet don't get screwed
up by the well-intentioned "baz" folks who don't have a good
understanding of "foo".  The ability of the IESG to get this done
without running at each other with scissors is a credit to the
individuals involved.

--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------

---

From: Randy Bush <[email-masked]>
Date: Tue, 20 Nov 2001 10:41:05 -0800

> administrivia

folk are working on some sofware to automate much of the administrivia.
some of us hold out significant hope.  administrivia is not the most
interesting part of the job.

you can see something written by harald when he was ops ad, which some of
us use today at <http://www.ops.ietf.org/draft-status.html>.

> There is a lot of noise being generated by the first email in this

very little of it from the area directors we're trying to save.  perhaps
we're too busy:-).

randy

---

From: Patrik Fältström <[email-masked]>
Date: Wed, 21 Nov 2001 09:47:49 +0100

> very little of it from the area directors we're trying to save.  perhaps

I think it is as an AD important to just view what wg chairs think without
being part of the discussion directly. So, staying quiet is not only
because I have other things to do :-)

Just so you know, you all, I personally appreciate all suggestions you have
come up with. In Applications Area, Ned Freed and myself is thinking of a
plan which I am happy to post to this list in a week or so.

The ideas are very much along the lines discussed here. Goal is to:

 - Create a structure to Applications Area
 - Make it more well-defined what IETF do and do NOT do in our area
 - Make it easier for both wg chairs and area directors so handling
   of Documents is more smooth

The idea is not baked enough though...

   paf